#include <bits/stdc++.h>
using namespace std;
int n,niz[200005],q,l,d,br;
int main(){
 cin>>n;
 for(int i=1; i<=n; i++){
  cin>>niz[i];
 }
 cin>>q;
 for(int i=1; i<=q; i++){
  cin>>l>>d;
  br=0;
  for(int j=l+1; j<=d; j++){
   if(niz[j-1]>niz[j]){
    br++;
   }
  }
  if(br>1){
   cout<<"NE"<<endl;
  }
  else{
   cout<<"DA"<<endl;
  }
 }

 return 0;
}
/*
5
6 1 8 3 9
3
1 4
2 5
3 5
*/